aboutsummaryrefslogtreecommitdiff
path: root/ci/_docker_script.sh
diff options
context:
space:
mode:
authorsappho <sappho@sappho.io>2023-07-14 07:19:14 -0400
committerGitHub <noreply@github.com>2023-07-14 07:19:14 -0400
commit7b92e4acf6dea29348efeb4c0cc89e3071aee56e (patch)
tree069032a9c6eb3ccc8f0089d8bbbb9ffe8ccacdd3 /ci/_docker_script.sh
parent581d1e994692f9ce4e5d8071e8edba1e71412bac (diff)
ci fixes and repo cleanup + small tweaks and first release (#2)v2.0.0-beta
* Update docker_build.yml * Update docker_build.yml * Update docker_build.yml * attempt to lint * use tags * Update docker_build.yml * reorganize repo * correct typo with build dir * hacky chmod/chown for docker builds * more hacks for chmod * try to hack docker to work again * fix invalid syntax * remove extension in repo, remove spaces, fixup gitignore * twiddle around with making releases with commits * more ci testing to use non deprecated actions * Update docker_build.yml * more ci twiddling (ugh) * more lint and run the actual job now * lint more and use deb slim * autogen rel notes (?) * fixup bad quotes * sigh. fix quotes again * save beta autotagging for a later date * gitignore * fix so users don't use removed hash funcs * add max dbg info to ext * update versionings
Diffstat (limited to 'ci/_docker_script.sh')
-rw-r--r--ci/_docker_script.sh45
1 files changed, 37 insertions, 8 deletions
diff --git a/ci/_docker_script.sh b/ci/_docker_script.sh
index ba5065d..82f5232 100644
--- a/ci/_docker_script.sh
+++ b/ci/_docker_script.sh
@@ -1,10 +1,39 @@
#!/bin/bash
-
-cd /mnt/curl/
+dpkg --add-architecture i386
+apt update
+apt install p7zip-full git ca-certificates build-essential g++-multilib -y --no-install-recommends
+# lib32stdc++-10-dev lib32z1-dev libc6-dev-i386 linux-libc-dev:i386
+cd /mnt/curl/ || exit
git config --global --add safe.directory "*"
-rm -rf ./sm-1.11
-git clone https://github.com/alliedmodders/sourcemod --branch 1.11-dev sm-1.11 --recursive
-rm -rf ./mm-1.11
-git clone https://github.com/alliedmodders/metamod-source --branch 1.11-dev mm-1.11 --recursive
-make clean
-make
+rm -rf build
+mkdir build
+mkdir build/extensions -p
+mkdir build/scripting -p
+mkdir build/plugins -p
+
+pushd build || exit
+ rm -rf ./sm-1.11
+ git clone https://github.com/alliedmodders/sourcemod --branch 1.11-dev sm-1.11 --recursive
+ rm -rf ./mm-1.11
+ git clone https://github.com/alliedmodders/metamod-source --branch 1.11-dev mm-1.11 --recursive
+popd || exit
+
+pushd extension || exit
+ make clean
+ make
+ mv Release/curl.ext.so ../build/extensions/ -v
+ rm -rf Release
+popd || exit
+
+cp pawn/* build/ -Rfv
+
+# cleanup
+
+pushd build || exit
+ rm -rf ./sm-1.11
+ rm -rf ./mm-1.11
+
+ 7za a -r sm-neocurl.zip scripting/ plugins/ extensions/
+popd || exit
+
+chmod 777 ./* -Rfv